## libayatana-common 0.9.5

=== CMakeLists.txt ===
project (libayatana-common C CXX)
cmake_minimum_required(VERSION 3.13)

set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake" "${CMAKE_MODULE_PATH}")

if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    SET(CMAKE_INSTALL_PREFIX "/usr" CACHE PATH "..." FORCE)
endif(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)

set(PROJECT_VERSION "0.9.5")
set(PACKAGE ${CMAKE_PROJECT_NAME})
set(GETTEXT_PACKAGE "ayatana-common")
set(API_VERSION 0)
set(ABI_VERSION 0)

# Options
option(ENABLE_TESTS "Enable all tests and checks" OFF)
option(ENABLE_COVERAGE "Enable coverage reports (includes enabling all tests and checks)" OFF)
option(ENABLE_WERROR "Treat all build warnings as errors" OFF)

if(ENABLE_COVERAGE)
    set(ENABLE_TESTS ON)
    set(CMAKE_BUILD_TYPE "Coverage")
else()
    set(CMAKE_BUILD_TYPE "Release")
endif()

if(ENABLE_WERROR)
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Werror")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Werror")
endif()

# GNU standard installation directories
include (GNUInstallDirs)
set (CMAKE_INSTALL_PKGLIBEXECDIR "${CMAKE_INSTALL_LIBEXECDIR}/${CMAKE_PROJECT_NAME}")
set (CMAKE_INSTALL_FULL_PKGLIBEXECDIR "${CMAKE_INSTALL_FULL_LIBEXECDIR}/${CMAKE_PROJECT_NAME}")

# Check for prerequisites
find_package (PkgConfig REQUIRED)
include (FindPkgConfig)

pkg_check_modules(GLIB REQUIRED
    glib-2.0>=2.36
    gio-2.0>=2.36
)
include_directories (${GLIB_INCLUDE_DIRS})

pkg_check_modules(
  URLDISPATCHER
  lomiri-url-dispatcher>=0
)
include_directories(${URLDISPATCHER_INCLUDE_DIRS})

# for GIR and Vala bindings
find_package (GObjectIntrospection QUIET)
find_package (Vala QUIET)

set(CC_WARNING_ARGS " -Wall -pedantic -Wextra -Wno-missing-field-initializers")

add_subdirectory(src)
add_subdirectory(data)
add_subdirectory(po)

if (ENABLE_TESTS)
    include(CTest)
    enable_testing()
    add_subdirectory(tests)
    if (ENABLE_COVERAGE)
        find_package(CoverageReport)
        ENABLE_COVERAGE_REPORT(
            TARGETS "ayatana-common"
            TESTS "tst_utils" "tst_utils_vala"
            FILTER /usr/include ${CMAKE_BINARY_DIR}/*
        )
    endif()
endif()

# Display config info

message(STATUS "Install prefix: ${CMAKE_INSTALL_PREFIX}")
message(STATUS "Unit tests: ${ENABLE_TESTS}")
message(STATUS "Build with -Werror: ${ENABLE_WERROR}")

if (INTROSPECTION_FOUND)
	message(STATUS "Build GObjectIntrospection: YES")
	if (VALA_COMPILER)
		message(STATUS "Build Vala bindings: YES")
	else()
		message(STATUS "Build Vala bindings: NO")
	endif()
else()
	message(STATUS "Build GObjectIntrospection: NO")
endif()

=== src/CMakeLists.txt ===

add_library(ayatana-common SHARED
    utils.c
)

target_link_libraries(ayatana-common
    ${GLIB_LIBRARIES}
    ${URLDISPATCHER_LIBRARIES}
)

if(URLDISPATCHER_FOUND)
    add_definitions( -DHAS_URLDISPATCHER )
endif()

set(PUBLIC_HEADERS
    utils.h
)

set_target_properties(ayatana-common
    PROPERTIES
    VERSION ${API_VERSION}.0.0
    SOVERSION ${ABI_VERSION}
)

configure_file(libayatana-common.pc.in ${CMAKE_CURRENT_BINARY_DIR}/libayatana-common.pc @ONLY)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/libayatana-common.pc DESTINATION ${CMAKE_INSTALL_FULL_LIBDIR}/pkgconfig)
install(FILES ${PUBLIC_HEADERS} DESTINATION ${CMAKE_INSTALL_FULL_INCLUDEDIR}/ayatana/common)
install(TARGETS ayatana-common DESTINATION ${CMAKE_INSTALL_FULL_LIBDIR})

# AyatanaCommon.gir

if (INTROSPECTION_FOUND)
    add_custom_command(
        OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/AyatanaCommon-0.0.gir"
        DEPENDS "ayatana-common"
        WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
        COMMAND
        ${INTROSPECTION_SCANNER}
        utils.c utils.h
        --no-libtool
        --namespace=AyatanaCommon
        --nsversion=0.0
        --c-include=ayatana/common/utils.h
        --quiet
        --warn-all
        --include=GLib-2.0
        --library="ayatana-common"
        --library-path=${CMAKE_CURRENT_BINARY_DIR}
        --output "${CMAKE_CURRENT_BINARY_DIR}/AyatanaCommon-0.0.gir"
    )

    install(FILES "${CMAKE_CURRENT_BINARY_DIR}/AyatanaCommon-0.0.gir" DESTINATION "${CMAKE_INSTALL_FULL_DATADIR}/gir-1.0")

# AyatanaCommon.typelib

    add_custom_command(
        OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/AyatanaCommon-0.0.typelib"
        DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/AyatanaCommon-0.0.gir"
        WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
        COMMAND
        ${INTROSPECTION_COMPILER}
        --includedir=${CMAKE_CURRENT_BINARY_DIR}
        ${CMAKE_CURRENT_BINARY_DIR}/AyatanaCommon-0.0.gir
        -o "${CMAKE_CURRENT_BINARY_DIR}/AyatanaCommon-0.0.typelib"
    )

    install(FILES "${CMAKE_CURRENT_BINARY_DIR}/AyatanaCommon-0.0.typelib" DESTINATION "${CMAKE_INSTALL_FULL_LIBDIR}/girepository-1.0")

# AyatanaCommon.vapi

    if (VALA_COMPILER)
        add_custom_command(
            OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/AyatanaCommon.vapi"
            DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/AyatanaCommon-0.0.typelib"
            WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
            COMMAND
            ${VAPI_GEN}
            --library=AyatanaCommon
            AyatanaCommon-0.0.gir
        )

        install(FILES "${CMAKE_CURRENT_BINARY_DIR}/AyatanaCommon.vapi" DESTINATION "${CMAKE_INSTALL_FULL_DATADIR}/vala/vapi")

        add_custom_target("src" ALL DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/AyatanaCommon.vapi")

    endif()

endif()

=== tests/CMakeLists.txt ===
find_package(GMock)

# gschemas.compiled

set_directory_properties(PROPERTIES ADDITIONAL_MAKE_CLEAN_FILES "gschemas.compiled")
set_source_files_properties("gschemas.compiled" GENERATED)
execute_process(COMMAND ${PKG_CONFIG_EXECUTABLE} gio-2.0 --variable glib_compile_schemas OUTPUT_VARIABLE COMPILE_SCHEMA_EXECUTABLE OUTPUT_STRIP_TRAILING_WHITESPACE)

add_custom_command(
    OUTPUT "gschemas.compiled"
    DEPENDS "${CMAKE_BINARY_DIR}/data/org.ayatana.common.gschema.xml"
    COMMAND cp -f "${CMAKE_BINARY_DIR}/data/org.ayatana.common.gschema.xml" "${CMAKE_CURRENT_BINARY_DIR}"
    COMMAND ${COMPILE_SCHEMA_EXECUTABLE} "${CMAKE_CURRENT_BINARY_DIR}"
)

add_custom_target("gschemas-compiled" ALL DEPENDS "gschemas.compiled")

# tst_utils

add_executable(tst_utils tst_utils.cpp)
target_compile_definitions(tst_utils PUBLIC SCHEMA_DIR="${CMAKE_CURRENT_BINARY_DIR}")
target_link_options(tst_utils PRIVATE -no-pie)
add_dependencies(tst_utils "gschemas-compiled")
target_include_directories(tst_utils PUBLIC "${CMAKE_SOURCE_DIR}/src")

target_link_libraries(tst_utils
    ayatana-common
    ${GLIB_LIBRARIES}
    ${URL_DISPATCHER_LIBRARIES}
    ${GTEST_LIBRARIES}
    ${GTEST_BOTH_LIBRARIES}
    ${GMOCK_LIBRARIES}
)

add_test(TstUtils tst_utils)

# utils.h

file(COPY "${CMAKE_SOURCE_DIR}/src/utils.h" DESTINATION "${CMAKE_BINARY_DIR}/src/ayatana/common")

# tst_utils.c

add_custom_command(
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/tst_utils.c"
    DEPENDS "src"
    DEPENDS "gschemas-compiled"
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    COMMAND
    ${VALA_COMPILER}
    --pkg AyatanaCommon
    --pkg gio-2.0
    --vapidir=${CMAKE_BINARY_DIR}/src
    --ccode tst_utils.vala
    --directory=${CMAKE_CURRENT_BINARY_DIR}
)

# tst_utils_vala

if (VALA_COMPILER)

	add_executable("tst_utils_vala" "${CMAKE_CURRENT_BINARY_DIR}/tst_utils.c")
	target_include_directories("tst_utils_vala" PUBLIC "${GLIB_INCLUDE_DIRS};${CMAKE_BINARY_DIR}/src")
	target_link_libraries("tst_utils_vala" "${GLIB_LIBRARIES} -layatana-common -L${CMAKE_BINARY_DIR}/src")
	target_link_directories("tst_utils_vala" PUBLIC "${CMAKE_BINARY_DIR}/src")
	add_dependencies("tst_utils_vala" "src")

	add_test(NAME "TstUtilsVala" COMMAND "${CMAKE_CURRENT_BINARY_DIR}/tst_utils_vala" "${CMAKE_CURRENT_BINARY_DIR}")
endif()

=== debian/changelog ===
libayatana-common (0.9.5-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.6.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 02 Nov 2021 16:20:04 +0100

libayatana-common (0.9.4-1) unstable; urgency=medium

  * New upstream version, still initial upload to Debian. (Closes: #986845).
  * debian/copyright:
    + Update auto-generated copyright.in template file.
    + Update copyright attributions.
  * debian/patches:
    + Drop 1001_no-duplicate-utils-h-file.patch. Applied upstream.
  * debian/:
    + Adjust packaging to changes in 0.9.4 (localized GSettings, GIR, Vala
      bindings, etc.).
  * debian/libayatana-common0.symbols:
    + Re-create .symbols file.
  * debian/rules:
    + Build with "--with gir".

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 08 Sep 2021 21:33:30 +0200

libayatana-common (0.9.1-1) REJECTED; urgency=medium

  * Initial release to Debian. (Closes: #986845).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 12 Apr 2021 21:39:25 +0200

=== debian/control ===
Source: libayatana-common
Section: libs
Priority: optional
Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
Uploaders:
 Debian UBports Team <team+ubports@tracker.debian.org>,
 Mike Gabriel <sunweaver@debian.org>,
Build-Depends: cmake,
               cmake-extras,
               debhelper-compat (= 13),
               dh-exec,
               dpkg-dev (>= 1.16.1.1),
               gobject-introspection,
               intltool,
               libgirepository1.0-dev,
               googletest,
               libgtest-dev,
               liblomiri-url-dispatcher-dev,
               libglib2.0-dev (>= 2.36),
               pkg-config,
               systemd [linux-any],
               valac,
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://github.com/AyatanaIndicators/libayatana-common
Vcs-Git: https://salsa.debian.org/debian-ayatana-team/libayatana-common.git
Vcs-Browser: https://salsa.debian.org/debian-ayatana-team/libayatana-common

Package: libayatana-common0
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
Multi-Arch: same
Description: Ayatana System Indicators' common API functions (shared library)
 This package contains common API functions used by Ayatana System
 Indicators.
 .
 This package contains the shared library.

Package: libayatana-common-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         gir1.2-ayatanacommon-0.0 (= ${binary:Version}),
         libayatana-common0 (= ${binary:Version}),
Description: Ayatana System Indicators' common API functions (development headers)
 This package contains common API functions used by Ayatana System
 Indicators.
 .
 This package contains the development headers.

Package: gir1.2-ayatanacommon-0.0
Section: introspection
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${gir:Depends},
Description: Ayatana System Indicators' common API functions (GObject Introspection)
 This package contains common API functions used by Ayatana System
 Indicators.
 .
 This package contains the GObject Introspection file.

Package: ayatana-indicator-common
Architecture: all
Depends: ${misc:Depends},
Multi-Arch: foreign
Breaks: ayatana-indicator-application (<< 0.8.0),
        ayatana-indicator-datetime (<< 0.8.0),
        ayatana-indicator-display (<< 0.8.0),
        ayatana-indicator-keyboard (<< 0.7.90),
        ayatana-indicator-messages (<< 0.8.0),
        ayatana-indicator-notifications (<< 0.8.0),
        ayatana-indicator-printers (<< 0.8.0),
        ayatana-indicator-power (<< 2.1.0),
        ayatana-indicator-session (<< 0.8.0),
        ayatana-indicator-sound (<< 0.8.0),
Description: Ayatana System Indicators' common files
 This package has files needed to work with the Ayatana Indicators. This
 includes the systemd ayatana-indicators.target and GSetting schemas
 that are required by more than one system indicator.

=== debian/rules ===
#!/usr/bin/make -f

NULL=

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --with gir

override_dh_auto_configure:
	dh_auto_configure -- \
		-DENABLE_TESTS=ON \
		-DCMAKE_INSTALL_DIR=/usr \
		$(NULL)

override_dh_missing:
	dh_missing --fail-missing

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

## libayatana-common 0.9.7

=== CMakeLists.txt ===
project (libayatana-common C CXX)
cmake_minimum_required(VERSION 3.13)

set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake" "${CMAKE_MODULE_PATH}")

if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    SET(CMAKE_INSTALL_PREFIX "/usr" CACHE PATH "..." FORCE)
endif(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)

set(PROJECT_VERSION "0.9.7")
set(PACKAGE ${CMAKE_PROJECT_NAME})
set(GETTEXT_PACKAGE "ayatana-common")
set(API_VERSION 0)
set(ABI_VERSION 0)

# Options
option(ENABLE_TESTS "Enable all tests and checks" OFF)
option(ENABLE_COVERAGE "Enable coverage reports (includes enabling all tests and checks)" OFF)
option(ENABLE_WERROR "Treat all build warnings as errors" OFF)
option(ENABLE_LOMIRI_FEATURES "Build with Lomiri-specific libraries, schemas and media" OFF)

if(ENABLE_COVERAGE)
    set(ENABLE_TESTS ON)
    set(CMAKE_BUILD_TYPE "Coverage")
else()
    set(CMAKE_BUILD_TYPE "Release")
endif()

if(ENABLE_WERROR)
    add_definitions("-Werror")
endif()

if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
    add_definitions("-Weverything")
else()
    add_definitions("-Wall")
endif()

# GNU standard installation directories
include (GNUInstallDirs)

# Check for prerequisites
find_package (PkgConfig REQUIRED)
include (FindPkgConfig)

set (
    DEPS
    glib-2.0>=2.36
    gio-2.0>=2.36
)

if (ENABLE_LOMIRI_FEATURES)
    list (
        APPEND
        DEPS
        lomiri-url-dispatcher>=0
    )
endif ()

pkg_check_modules (DEPS REQUIRED ${DEPS})
include_directories (${DEPS_INCLUDE_DIRS})

# for GIR and Vala bindings
find_package (GObjectIntrospection QUIET)
find_package (Vala QUIET)

add_subdirectory(src)
add_subdirectory(data)
add_subdirectory(po)

if (ENABLE_TESTS)
    include(CTest)
    enable_testing()
    add_subdirectory(tests)
    if (ENABLE_COVERAGE)
        find_package(CoverageReport)
        ENABLE_COVERAGE_REPORT(
            TARGETS "ayatana-common"
            TESTS "tst_utils" "tst_utils_vala"
            FILTER /usr/include ${CMAKE_BINARY_DIR}/*
        )
    endif()
endif()

# Display config info

message(STATUS "Install prefix: ${CMAKE_INSTALL_PREFIX}")
message(STATUS "Unit tests: ${ENABLE_TESTS}")
message(STATUS "Build with -Werror: ${ENABLE_WERROR}")

if (INTROSPECTION_FOUND)
    message(STATUS "Build GObjectIntrospection: YES")
    if (VALA_COMPILER)
        message(STATUS "Build Vala bindings: YES")
    else()
        message(STATUS "Build Vala bindings: NO")
    endif()
else()
    message(STATUS "Build GObjectIntrospection: NO")
endif()

message(STATUS "Build with Lomiri features: ${ENABLE_LOMIRI_FEATURES}")

=== data/CMakeLists.txt ===
# org.ayatana.common.gschema.xml

find_package(Intltool REQUIRED)
set(ENV{LC_ALL} "C")
intltool_merge_translations("${CMAKE_CURRENT_SOURCE_DIR}/org.ayatana.common.gschema.xml.in" "${CMAKE_CURRENT_BINARY_DIR}/org.ayatana.common.gschema.xml" ALL UTF8 STYLE "xml" NO_TRANSLATIONS)
find_package(GSettings REQUIRED)
add_schema("org.ayatana.common.gschema.xml")

# ayatana-indicators.target

pkg_check_modules(SYSTEMD systemd)

if (${SYSTEMD_FOUND})
    if (${SYSTEMD_VERSION} VERSION_LESS 247)

        # This bit now becomes really hacky-whacky...

        # As systemd is a build-requirement, there should be the
        # systemd unit directory available on the build host, so
        # let's look for that...

        if (EXISTS "/usr/lib/systemd/user")
            # Let's try /usr/lib/ ...
            set(SYSTEMD_USER_UNIT_DIR "/usr/lib/systemd/user")
        elseif (EXISTS "/usr/lib64/systemd/user")
            # Let's try /usr/lib64/ ...
            set(SYSTEMD_USER_UNIT_DIR "/usr/lib64/systemd/user")
        else()
            # Fallback to something that fails on Debian and Ubuntu
            # but might work on other distributions...
            set(SYSTEMD_USER_UNIT_DIR "${CMAKE_INSTALL_FULL_LIBDIR}/systemd/user")
        endif()

    else()
        pkg_get_variable(SYSTEMD_USER_UNIT_DIR systemd systemd_user_unit_dir)
    endif()
    install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/ayatana-indicators.target" DESTINATION "${SYSTEMD_USER_UNIT_DIR}")
endif()

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -4,12 +4,11 @@
 )
 
 target_link_libraries(ayatana-common
-    ${GLIB_LIBRARIES}
-    ${URLDISPATCHER_LIBRARIES}
+    ${DEPS_LIBRARIES}
 )
 
-if(URLDISPATCHER_FOUND)
-    add_definitions( -DHAS_URLDISPATCHER )
+if(ENABLE_LOMIRI_FEATURES)
+    add_definitions( -DLOMIRI_FEATURES_ENABLED )
 endif()
 
 set(PUBLIC_HEADERS
@@ -84,6 +83,10 @@
 
         add_custom_target("src" ALL DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/AyatanaCommon.vapi")
 
+    else()
+
+        add_custom_target("src" ALL DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/AyatanaCommon-0.0.typelib")
+
     endif()
 
 endif()

=== debian/changelog ===
libayatana-common (0.9.7-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 18 Feb 2022 11:19:00 +0100

libayatana-common (0.9.6-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules:
    + Preparing for using upstream's NEWS file as upstream ChangeLog.
    + Enable Lomiri features when building on Debian (but not when on Ubuntu).
      (relates to LP:1910192).
  * debian/control:
    + Use alternative B-D 'hello' for liblomiri-url-dispatcher-dev. This
      should make the package tolerate missing lomiri-url-dispatcher in Ubuntu.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 14 Dec 2021 22:05:21 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                libgirepository1.0-dev,
                googletest,
                libgtest-dev,
-               liblomiri-url-dispatcher-dev,
+               liblomiri-url-dispatcher-dev | hello,
                libglib2.0-dev (>= 2.36),
                pkg-config,
                systemd [linux-any],

## libayatana-common 0.9.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
     SET(CMAKE_INSTALL_PREFIX "/usr" CACHE PATH "..." FORCE)
 endif(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
 
-set(PROJECT_VERSION "0.9.7")
+set(PROJECT_VERSION "0.9.8")
 set(PACKAGE ${CMAKE_PROJECT_NAME})
 set(GETTEXT_PACKAGE "ayatana-common")
 set(API_VERSION 0)

=== debian/changelog ===
libayatana-common (0.9.8-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.6.1. No changes needed.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 01 Oct 2022 09:31:15 +0200

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                pkg-config,
                systemd [linux-any],
                valac,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/AyatanaIndicators/libayatana-common
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/libayatana-common.git

=== debian/rules ===
#!/usr/bin/make -f

NULL=

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

DEB_CMAKE_EXTRA_FLAGS = \
    -DENABLE_TESTS=ON \
    -DENABLE_COVERAGE=OFF \
    -DCMAKE_INSTALL_PREFIX=/usr \
    $(NULL)

ifeq ($(shell dpkg-vendor --is Debian && echo yes),yes)
DEB_CMAKE_EXTRA_FLAGS += \
    -DENABLE_LOMIRI_FEATURES=ON \
    $(NULL)
endif

%:
	dh $@ --with gir

override_dh_auto_configure:
	dh_auto_configure -- \
		$(DEB_CMAKE_EXTRA_FLAGS)
		$(NULL)

override_dh_missing:
	dh_missing --fail-missing

#override_dh_installchangelogs:
#	dh_installchangelogs NEWS

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://releases.ayatana-indicators.org/source/libayatana-common/libayatana-common-(.+)\.tar\.gz

## libayatana-common 0.9.10

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
-project (libayatana-common C CXX)
-cmake_minimum_required(VERSION 3.13)
+cmake_minimum_required (VERSION 3.13)
+project (libayatana-common VERSION "0.9.10" LANGUAGES C CXX)
 
 set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake" "${CMAKE_MODULE_PATH}")
 
@@ -7,8 +7,6 @@
     SET(CMAKE_INSTALL_PREFIX "/usr" CACHE PATH "..." FORCE)
 endif(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
 
-set(PROJECT_VERSION "0.9.8")
-set(PACKAGE ${CMAKE_PROJECT_NAME})
 set(GETTEXT_PACKAGE "ayatana-common")
 set(API_VERSION 0)
 set(ABI_VERSION 0)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -6,6 +6,8 @@
 target_link_libraries(ayatana-common
     ${DEPS_LIBRARIES}
 )
+
+target_compile_definitions (ayatana-common PUBLIC GETTEXT_PACKAGE="${GETTEXT_PACKAGE}" LOCALEDIR="${CMAKE_INSTALL_FULL_LOCALEDIR}")
 
 if(ENABLE_LOMIRI_FEATURES)
     add_definitions( -DLOMIRI_FEATURES_ENABLED )

=== debian/changelog ===
libayatana-common (0.9.10-3) unstable; urgency=medium

  * debian/rules:
    + Always build with -DENABLE_LOMIRI_FEATURES=ON (on Debian and all its
      derivatives).
  * debian/control:
    + Bump Standards-Version to 4.7.0. No changes needed.
    + Drop 'hello' as alternative B-D to liblomiri-url-dispatcher-dev.
    + Add to D (libayatana-common-dev): all dev:pkgs used by libayatana-common.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 14 Aug 2024 17:48:07 +0200

libayatana-common (0.9.10-2) unstable; urgency=medium

  * debian/changelog:
    + Post-upload add one more change item to 0.9.10-1.
  * debian/control:
    + Replace systemd by systemd-dev in B-D. (Closes: #1060517).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 14 May 2024 16:26:17 +0200

libayatana-common (0.9.10-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update copyright attribution for debian/.
  * debian/control:
    + Add to D (shared lib): zenity | lomiri.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 02 Feb 2024 23:19:48 +0100

libayatana-common (0.9.9-1) unstable; urgency=medium

  [ Mike Gabriel ]
  * New upstream release.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * debian/libayatana-common0.symbols:
    + Update .symbols file.
  * debian/control:
    + Bump Standards-Version: to 4.6.2. No changes needed.

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 29 Oct 2023 08:13:12 +0100

=== debian/control ===
--- 
+++ 
@@ -15,12 +15,12 @@
                libgirepository1.0-dev,
                googletest,
                libgtest-dev,
-               liblomiri-url-dispatcher-dev | hello,
+               liblomiri-url-dispatcher-dev,
                libglib2.0-dev (>= 2.36),
                pkg-config,
-               systemd [linux-any],
+               systemd-dev [linux-any],
                valac,
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/AyatanaIndicators/libayatana-common
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/libayatana-common.git
@@ -30,6 +30,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
+         zenity | lomiri,
 Multi-Arch: same
 Description: Ayatana System Indicators' common API functions (shared library)
  This package contains common API functions used by Ayatana System
@@ -44,6 +45,9 @@
          ${misc:Depends},
          gir1.2-ayatanacommon-0.0 (= ${binary:Version}),
          libayatana-common0 (= ${binary:Version}),
+         libgirepository1.0-dev,
+         libglib2.0-dev (>= 2.36),
+         liblomiri-url-dispatcher-dev,
 Description: Ayatana System Indicators' common API functions (development headers)
  This package contains common API functions used by Ayatana System
  Indicators.

## libayatana-common 0.9.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required (VERSION 3.13)
-project (libayatana-common VERSION "0.9.10" LANGUAGES C CXX)
+project (libayatana-common VERSION "0.9.11" LANGUAGES C CXX)
 
 set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake" "${CMAKE_MODULE_PATH}")

=== data/CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,5 @@
 # org.ayatana.common.gschema.xml
 
-find_package(Intltool REQUIRED)
-set(ENV{LC_ALL} "C")
-intltool_merge_translations("${CMAKE_CURRENT_SOURCE_DIR}/org.ayatana.common.gschema.xml.in" "${CMAKE_CURRENT_BINARY_DIR}/org.ayatana.common.gschema.xml" ALL UTF8 STYLE "xml" NO_TRANSLATIONS)
 find_package(GSettings REQUIRED)
 add_schema("org.ayatana.common.gschema.xml")

=== src/CMakeLists.txt ===

add_library(ayatana-common SHARED
    utils.c
)

target_link_libraries(ayatana-common
    ${DEPS_LIBRARIES}
)

target_compile_definitions (ayatana-common PUBLIC GETTEXT_PACKAGE="${GETTEXT_PACKAGE}" LOCALEDIR="${CMAKE_INSTALL_FULL_LOCALEDIR}")

if(ENABLE_LOMIRI_FEATURES)
    add_definitions( -DLOMIRI_FEATURES_ENABLED )
endif()

set(PUBLIC_HEADERS
    utils.h
)

set_target_properties(ayatana-common
    PROPERTIES
    VERSION ${API_VERSION}.1.0
    SOVERSION ${ABI_VERSION}
)

configure_file(libayatana-common.pc.in ${CMAKE_CURRENT_BINARY_DIR}/libayatana-common.pc @ONLY)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/libayatana-common.pc DESTINATION ${CMAKE_INSTALL_FULL_LIBDIR}/pkgconfig)
install(FILES ${PUBLIC_HEADERS} DESTINATION ${CMAKE_INSTALL_FULL_INCLUDEDIR}/ayatana/common)
install(TARGETS ayatana-common DESTINATION ${CMAKE_INSTALL_FULL_LIBDIR})

# AyatanaCommon.gir

if (INTROSPECTION_FOUND)
    add_custom_command(
        OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/AyatanaCommon-0.1.gir"
        DEPENDS "ayatana-common"
        WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
        COMMAND
        ${INTROSPECTION_SCANNER}
        utils.c utils.h
        --no-libtool
        --namespace=AyatanaCommon
        --nsversion=0.1
        --c-include=ayatana/common/utils.h
        --quiet
        --warn-all
        --include=GLib-2.0
        --library="ayatana-common"
        --library-path=${CMAKE_CURRENT_BINARY_DIR}
        --output "${CMAKE_CURRENT_BINARY_DIR}/AyatanaCommon-0.1.gir"
    )

    install(FILES "${CMAKE_CURRENT_BINARY_DIR}/AyatanaCommon-0.1.gir" DESTINATION "${CMAKE_INSTALL_FULL_DATADIR}/gir-1.0")

# AyatanaCommon.typelib

    add_custom_command(
        OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/AyatanaCommon-0.1.typelib"
        DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/AyatanaCommon-0.1.gir"
        WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
        COMMAND
        ${INTROSPECTION_COMPILER}
        --includedir=${CMAKE_CURRENT_BINARY_DIR}
        ${CMAKE_CURRENT_BINARY_DIR}/AyatanaCommon-0.1.gir
        -o "${CMAKE_CURRENT_BINARY_DIR}/AyatanaCommon-0.1.typelib"
    )

    install(FILES "${CMAKE_CURRENT_BINARY_DIR}/AyatanaCommon-0.1.typelib" DESTINATION "${CMAKE_INSTALL_FULL_LIBDIR}/girepository-1.0")

# AyatanaCommon.vapi

    if (VALA_COMPILER)
        add_custom_command(
            OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/AyatanaCommon.vapi"
            DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/AyatanaCommon-0.1.typelib"
            WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
            COMMAND
            ${VAPI_GEN}
            --library=AyatanaCommon
            AyatanaCommon-0.1.gir
        )

        install(FILES "${CMAKE_CURRENT_BINARY_DIR}/AyatanaCommon.vapi" DESTINATION "${CMAKE_INSTALL_FULL_DATADIR}/vala/vapi")

        add_custom_target("src" ALL DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/AyatanaCommon.vapi")

    else()

        add_custom_target("src" ALL DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/AyatanaCommon-0.1.typelib")

    endif()

endif()

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -25,8 +25,7 @@
 
 target_link_libraries(tst_utils
     ayatana-common
-    ${GLIB_LIBRARIES}
-    ${URL_DISPATCHER_LIBRARIES}
+    ${DEPS_LIBRARIES}
     ${GTEST_LIBRARIES}
     ${GTEST_BOTH_LIBRARIES}
     ${GMOCK_LIBRARIES}
@@ -58,11 +57,11 @@
 
 if (VALA_COMPILER)
 
-	add_executable("tst_utils_vala" "${CMAKE_CURRENT_BINARY_DIR}/tst_utils.c")
-	target_include_directories("tst_utils_vala" PUBLIC "${GLIB_INCLUDE_DIRS};${CMAKE_BINARY_DIR}/src")
-	target_link_libraries("tst_utils_vala" "${GLIB_LIBRARIES} -layatana-common -L${CMAKE_BINARY_DIR}/src")
-	target_link_directories("tst_utils_vala" PUBLIC "${CMAKE_BINARY_DIR}/src")
-	add_dependencies("tst_utils_vala" "src")
+    add_executable("tst_utils_vala" "${CMAKE_CURRENT_BINARY_DIR}/tst_utils.c")
+    target_include_directories("tst_utils_vala" PUBLIC "${DEPS_INCLUDE_DIRS};${CMAKE_BINARY_DIR}/src")
+    target_link_libraries("tst_utils_vala" "${DEPS_LIBRARIES} -layatana-common -L${CMAKE_BINARY_DIR}/src")
+    target_link_directories("tst_utils_vala" PUBLIC "${CMAKE_BINARY_DIR}/src")
+    add_dependencies("tst_utils_vala" "src")
 
-	add_test(NAME "TstUtilsVala" COMMAND "${CMAKE_CURRENT_BINARY_DIR}/tst_utils_vala" "${CMAKE_CURRENT_BINARY_DIR}")
+    add_test(NAME "TstUtilsVala" COMMAND "${CMAKE_CURRENT_BINARY_DIR}/tst_utils_vala" "${CMAKE_CURRENT_BINARY_DIR}")
 endif()

=== debian/changelog ===
libayatana-common (0.9.11-2) unstable; urgency=medium

  * Re-upload source-only as is.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 16 Mar 2025 12:11:02 +0100

libayatana-common (0.9.11-1) unstable; urgency=medium

  * New upstream release.
  * debian/:
    + Bump gir1.2-ayatanacommon-0.0 to gir1.2-ayatanacommon-0.1.
  * debian/libayatana-common0.symbols:
    + Update file.
  * debian/control:
    + In B-D, switch from pkg-config to pkgconf.
    + Add P: ${gir:Provides} to dev:pkg.
  * debian/copyright:
    + Update copyright attributions for debian/.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 28 Feb 2025 22:25:22 +0100

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                libgtest-dev,
                liblomiri-url-dispatcher-dev,
                libglib2.0-dev (>= 2.36),
-               pkg-config,
+               pkgconf,
                systemd-dev [linux-any],
                valac,
 Standards-Version: 4.7.0
@@ -43,18 +43,19 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         gir1.2-ayatanacommon-0.0 (= ${binary:Version}),
+         gir1.2-ayatanacommon-0.1 (= ${binary:Version}),
          libayatana-common0 (= ${binary:Version}),
          libgirepository1.0-dev,
          libglib2.0-dev (>= 2.36),
          liblomiri-url-dispatcher-dev,
+Provides: ${gir:Provides}
 Description: Ayatana System Indicators' common API functions (development headers)
  This package contains common API functions used by Ayatana System
  Indicators.
  .
  This package contains the development headers.
 
-Package: gir1.2-ayatanacommon-0.0
+Package: gir1.2-ayatanacommon-0.1
 Section: introspection
 Architecture: any
 Depends: ${shlibs:Depends},

=== debian/rules ===
--- 
+++ 
@@ -10,13 +10,8 @@
     -DENABLE_TESTS=ON \
     -DENABLE_COVERAGE=OFF \
     -DCMAKE_INSTALL_PREFIX=/usr \
-    $(NULL)
-
-ifeq ($(shell dpkg-vendor --is Debian && echo yes),yes)
-DEB_CMAKE_EXTRA_FLAGS += \
     -DENABLE_LOMIRI_FEATURES=ON \
     $(NULL)
-endif
 
 %:
 	dh $@ --with gir
